package com.yunzhupaas.mdm.service;

import com.yunzhupaas.mdm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.mdm.model.custinfo.*;
import java.util.*;

/**
 * 客户信息
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-04-24
 */
public interface CustinfoService extends SuperService<CompanyEntity> {
    List<CompanyEntity> getList(CustinfoPagination companyPagination);

    List<CompanyEntity> getTypeList(CustinfoPagination companyPagination,String dataType);

    CompanyEntity getInfo(String companyid);

    void delete(CompanyEntity entity);

    void create(CompanyEntity entity);

    boolean update(String companyid, CompanyEntity entity);

	String checkForm(CustinfoForm form,int i);

    void saveOrUpdate(CustinfoForm companyForm,String id, boolean isSave) throws Exception;
}
